/*=================================================================
* The main routine analyzes all incoming (right-hand side) arguments
*
* Copyright 1984-2011 The MathWorks, Inc.
*
*=================================================================*/

#include <stdio.h>
#include <string.h>
#include "mex.h"


void display_subscript(const mxArray *array_ptr, mwSize index);
void get_characteristics(const mxArray  *array_ptr);
mxClassID analyze_class(const mxArray *array_ptr);

void mexAnalyze(int nrhs, const mxArray *prhs[]);